<script lang="ts">
  import Section from '~/components/Section.svelte';
  import Carousel from '~/components/carousel/Carousel.svelte';
  import NftCard from '../components/NftCard.svelte';
  import { nft } from '../constant/nft.js';
</script>

<Section fullWidth>
  <span slot="label">Top Collections</span>
  <div class="cards">
    <Carousel fullWidth>
      <div class="grid-container">
        {#each nft.topCollections as data}
          <NftCard {data} />
        {/each}
      </div>
    </Carousel>
  </div>
</Section>

<style lang="postcss">
  .cards {
    overflow-x: scroll;
    scroll-behavior: smooth;

    &::-webkit-scrollbar {
      display: none;
    }
  }

  .grid-container {
    /* width: calc(100% + 20px); */
    display: grid;
    gap: 20px;
    grid-auto-flow: column;
    grid-template-rows: repeat(1, 1fr);

    /* background-color: red; */

    & :global(.card) {
      width: 200px;
      box-sizing: border-box;
      padding: 10px;
    }
  }
</style>
